<? $countries_model = new Model_Geography_Countries() ?>
<? $regions_model = new Model_Geography_Regions() ?>
<? $this->layout()->disableLayout() ?>
<form class="form-common" action="<?= $this->baseUrl() ?>/geography/cities/create" method="post">
	<div class="inner">
		<label for="country">Country</label>
		<? $countries = $countries_model->ajaxGetAll(false) ?>
		<select name="country_id" id="country" class="w22">
			<option value="">- country -</option>
			<? foreach ($countries as $country): ?>
			<option value="<?= $country->id ?>"<?= $this->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>
	
	<? $regions = $regions_model->ajaxGetAll($this->country_id) ?>
	
	<div class="inner" style="display: <?= count($regions) ? 'block' : 'none' ?>">
		<label for="region">Region</label>
		<select name="region_id" id="region" class="w22">
			<option value="">- region -</option>
			<? foreach ($regions as $region): ?>
				<option value="<?= $region->id ?>"<?= $this->region_id == $region->id ? ' selected="selected"' : '' ?>><?= $region->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>
	
	<div class="inner">
		<label for="time_zone">Time Zone</label>
		<select name="time_zone_id" id="time_zone" class="w30">
			<option value="">- time zone -</option>
			<? foreach ($this->time_zones as $time_zone): ?>
				<?
					$shift = $time_zone->shift;
					$tmp_shift = number_format($shift, 0);
					if ( $tmp_shift > 0 ) {
						$shift = "+" . $shift;
					}
					else if ( $tmp_shift == 0 ) {
						$shift = "";
					}
				?>
				<option value="<?= $time_zone->id ?>"><?= "(GMT " . $shift . ") " . $time_zone->title ?></option>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>
	
	<div class="inner">
		<label for="title">Title</label>
	<? foreach ($this->langs(false) as $id => $title): ?>
		<div class="lng-w" style="background-image: url('/img/flags/<?= $id ?>.png')">
			<input class="txt w20" type="text" name="title_<?= $id ?>" value="" />
		</div>
	<? endforeach; ?>
	</div>
	<div class="inner">
		<label>Url slug</label>
		<input type="text" class="txt w20" name="url_slug" value="" />
	</div>
	<div class="clear"></div>
</form>
